Gestiono
Referencia de APITasks / Board

Update Board

PATCH /v1/tasks/board • validated by `patchBoard`

← Back to full API reference
PATCH/v1/tasks/boardAuthentication required
  • Validated by Zod schema: patchBoard.

Request details

Path params

No path parameters for this endpoint.

Query params

No explicit query schema was captured for this endpoint.

Body fields

  • id (required)

    Type: number

  • name

    Type: string

  • description

    Type: string

  • type

    Type: enum

    Example: custom

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "id": 1
}

Sample response

json
{
  "boardId": "<boardId>"
}

Test this endpoint now

Use your own credentials and execute a live request directly from this page.

1. Configure authentication for testing

You can test endpoints with signed API keys, a raw Authorization token, or browser cookies. Select one mode and fill in the required fields.

2. Select endpoint

PATCH/v1/tasks/boardAuthentication required

Group: Tasks / Board

PATCH /v1/tasks/board • validated by `patchBoard`

  • Validated by Zod schema: patchBoard.

Body fields

  • idrequired
    Type: number
  • name
    Type: string
  • description
    Type: string
  • type
    Type: enum
    Ejemplo: custom

3. Prepare request payload

4. Server response

Run a request to inspect the real-time response for your environment.